@extends ('layouts.patient')

@section('inner-content')
    {{--<div class="">
        <div class="d-flex align-items-center pb-2">
            <h4 class="font-weight-bold m-0">Allergies</h4>
            <span class="mx-2 text-secondary">|</span>
            <div moe>
                <a start show class="">Add</a>
                <form url="/api/clientInfoLine/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <input type="hidden" name="category" value="allergy">
                    <div class="mb-2"><input type="text" class="form-control form-control-sm" name="contentText" value="" placeholder="Allergy"></div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered">
            <thead>
            <tr>
                <th class="px-2 text-secondary">Allergy</th>
                <th class="px-2 text-secondary">Created By</th>
                <th class="px-2 text-secondary">Created At</th>
                <th class="px-2 text-secondary delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($infoLines as $line)
                <tr>
                    <td class="px-2">{{$line->content_text}}</td>
                    <td class="px-2">{{$line->createdBySession && $line->createdBySession->pro ? $line->createdBySession->pro->displayName() : '-'}}</td>
                    <td class="px-2">{{ friendly_date_time($line->created_at) }}</td>
                    <td class="px-2 text-center delete-column">
                        <span moe relative class="mr-2">
                            <a class="on-hover-opaque" start show title="Edit">
                                <i class="font-size-11 fa fa-edit"></i>
                            </a>
                            <form url="/api/clientInfoLine/updateContent" right>
                                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                                <input type="hidden" name="uid" value="{{ $line->uid }}">
                                <input type="hidden" name="category" value="allergy">
                                <div class="mb-2">
                                    <input type="text" class="form-control form-control-sm" name="contentText" placeholder="Allergy" value="{{$line->content_text}}">
                                </div>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </span>
                        <span moe relative>
                            <a start show class="on-hover-opaque"><i class="fa fa-trash-alt text-danger"></i></a>
                            <form url="/api/clientInfoLine/remove" right>
                                <input type="hidden" name="uid" value="{{ $line->uid }}">
                                <p class="small">Are you sure you want to delete this entry?</p>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>

    <hr>--}}
    <div class="client-single-dashboard">
        <div class="d-flex align-items-center pb-2">
            <h6 class="my-0 font-weight-bold">Allergies</h6>
            <span class="mx-2 text-secondary">|</span>
            @include('app.patient.canvas-sections.canvas-editor-modal', ['key' => 'allergies'])
        </div>
        <div class="bg-light border p-2 mb-3">
            @include('app.patient.canvas-sections.allergies.summary')
        </div>
    </div>
@endsection
