@extends ('layouts/template')

@section('content')

    <div class="p-3 mcp-theme-1">
    <div class="card">

        <div class="card-header px-3 py-2 d-flex align-items-center">
            <strong class="mr-4">
                <i class="fas fa-user-injured"></i>
                Tickets
            </strong>
            
        </div>
        <div class="card-body p-0">
            <table class="table table-sm table-condensed p-0 m-0">
                <thead class="bg-light">
                <tr>
                    <th>Category</th>
                    <th>Status</th>
                    <th>Status Memo</th>
                    <th>Initiating Pro</th>
                    <th>Assigned Pro</th>
                    <th>Manager Pro</th>
                    <th>Ordering Pro</th>
                    <th>Has Assigned Pro Signed</th>
                    <th>Has Initiating Pro Signed</th>
                    <th>Has Manager Pro Signed</th>
                    <th>Has Ordering Pro Signed</th>
                    <th>Is Open</th>
                    <th>Is Entry Error</th>
                </tr>
                </thead>
                <tbody>
                @foreach ($tickets as $ticket)
                    <tr>
                        <td><a href="/patients/view/{{$ticket->patient->uid}}/action-items-{{$ticket->category}}">{{$ticket->category}}</a></td>
                        <td>{{$ticket->data_status}}</td>
                        <td>{{$ticket->data_status_memo}}</td>
                        <td>{{$ticket->initiatingPro->name_first ?? ''}} {{$ticket->initiatingPro->name_last ?? ''}}</td>
                        <td>{{$ticket->assignedPro->name_first ?? ''}} {{$ticket->assignedPro->name_last ?? ''}}</td>
                        <td>{{$ticket->managerPro->name_first ?? ''}} {{$ticket->managerPro->name_last ?? ''}}</td>
                        <td>{{$ticket->orderingPro->name_first ?? ''}} {{$ticket->orderingPro->name_last ?? ''}}</td>
                        <td>{{$ticket->has_assigned_pro_signed ?'Yes':'No'}}</td>
                        <td>{{$ticket->has_initiating_pro_signed ?'Yes':'No'}}</td>
                        <td>{{$ticket->has_manager_pro_signed ?'Yes':'No'}}</td>
                        <td>{{$ticket->has_ordering_pro_signed ?'Yes':'No'}}</td>
                        <td>{{$ticket->is_open ?'Yes':'No'}}</td>
                        <td>{{$ticket->is_entry_error ?'Yes':'No'}}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
            <div>
                {{$tickets->links()}}
            </div>
        </div>
    </div>
    </div>

@endsection
